<?php
header('Content-Type: application/json');

// Include the database connection
require 'db.php';

// Get POST data
$username = isset($_POST['user']) ? $_POST['user'] : '';
$password = isset($_POST['pass']) ? $_POST['pass'] : '';

// Initialize response array
$response = [
    'status' => '0',
    'message' => 'Invalid username or password.'
];

// Prepare and execute SQL statement
$stmt = $conn->prepare("SELECT password FROM users WHERE username = ?");
$stmt->bind_param("s", $username);
$stmt->execute();
$result = $stmt->get_result();

// Check if the user exists
if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    
    // Verify password
    if (password_verify($password, $row['password'])) {
        $response['status'] = '1'; // success
        $response['message'] = 'Login successful!';
    } else {
        // Invalid password
        $response['message'] = 'Invalid username or password.';
    }
} else {
    // Invalid username
    $response['message'] = 'Invalid username or password.';
}

// Close the statement
$stmt->close();

// Close the database connection
$conn->close();

// Return JSON response
echo json_encode($response);
?>
